%define glib2_version 2.2.0
%define pango_version 1.2.0
%define gtk2_version 2.3.2
%define libgnomeui_version 2.2.0
%define gail_version 1.2.0
%define gnome_panel_version 2.2.0
%define desktop_file_utils_version 0.9

%define po_package gnome-utils-2.0

%define gcalctool_version 4.4.20
%define gucharmap_version 1.4.1
%define zenity_version 2.8.0

Summary: GNOME utility programs.
Name: gnome-utils
Version: 2.8.0
Release: 7.el4
Epoch: 1
License: GPL
Group: Applications/System
Source: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/gnome-utils/gnome-utils-%{version}.tar.bz2
Source2: gcalctool-%{gcalctool_version}.tar.bz2
Source3: gucharmap-%{gucharmap_version}.tar.bz2
Source4: zenity-%{zenity_version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: gnome
URL: http://www.gnome.org

PreReq: %{_bindir}/update-gtk-immodules
PreReq: desktop-file-utils >= %{desktop_file_utils_version}

BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  gtk2-devel >= %{gtk2_version}
BuildRequires:  libgnomeui-devel >= %{libgnomeui_version}
BuildRequires:  libgnomecanvas-devel
BuildRequires:  gail-devel >= %{gail_version}
BuildRequires:  gnome-panel >= %{gnome_panel_version}
BuildRequires:  gnome-panel-devel
BuildRequires:  desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires:  e2fsprogs-devel
BuildRequires:  autoconf automake libtool
BuildRequires:  gnome-desktop-devel
BuildRequires:  gettext


Patch1: gnome-utils-2.1.4-alphabitops.patch
Patch2: gnome-utils-2.6.1-floppy-major.patch

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-utils package
includes a set of small "desk accessory" utility applications for GNOME
such as a calculator.

%prep
%setup -q

%patch1 -p1 -b .alphabitops
%patch2 -p1 -b .floppy-major

# Hide from menus
pushd gsearchtool
echo "NoDisplay=true" >> gnome-search-tool.desktop.in
popd

tar xjf %{SOURCE2}
tar xjf %{SOURCE3}
tar xjf %{SOURCE4}

%build

pushd gcalctool-%{gcalctool_version}
libtoolize --force --copy
%configure
make
popd

pushd gucharmap-%{gucharmap_version}
aclocal
libtoolize --force --copy
automake
autoconf
%configure --disable-gtk-immodules
make
popd

pushd zenity-%{zenity_version}
libtoolize --force --copy
%configure
make
popd

%configure
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

pushd gcalctool-%{gcalctool_version}
%makeinstall
popd

pushd gucharmap-%{gucharmap_version}
%makeinstall RUN_QUERY_IMMODULES_TEST=false
popd

pushd zenity-%{zenity_version}
%makeinstall
popd

%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# in GNOME only
desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

## delete, duplicates file roller
/bin/rm -rf $RPM_BUILD_ROOT%{_bindir}/archive-generator
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/*archive-generator*
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/help/archive-generator
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/omf/gnome-utils/*archive-generator*

## delete gnome-system-log, duplicates redhat-logviewer
/bin/rm -rf $RPM_BUILD_ROOT%{_bindir}/gnome-system-log
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/*system-log*
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome-system-log
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-system-log
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/omf/gnome-utils/*system-log*
/bin/rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/gnome-system-log
/bin/rm -rf $RPM_BUILD_ROOT%{_mandir}/man*/*system-log*
/bin/rm  -f $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/logview.schemas

# blow scrollkeeper crap
/bin/rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang %{po_package}
%find_lang zenity-0.1
%find_lang gucharmap
%find_lang gcalctool

cat %{po_package}.lang zenity-0.1.lang gucharmap.lang gcalctool.lang > all.lang

/bin/rm -rf $RPM_BUILD_ROOT%{_libdir}/*.a
/bin/rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
/bin/rm -rf $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.2.0/immodules/*.a
/bin/rm -rf $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.2.0/immodules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gdict.schemas gfloppy.schemas gcalctool.schemas gnome-search-tool.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done
umask 022
%{_bindir}/update-gtk-immodules %{_arch}-%{_host_vendor}-%{_host_os}

%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications


%files -f all.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/pixmaps
%{_datadir}/man/man*/*
%{_datadir}/applications
%{_datadir}/gnome-utils
%{_datadir}/gnome
%{_datadir}/omf
%{_datadir}/zenity
%{_datadir}/gnome-2.0
%{_libdir}/pkgconfig/*
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/*.so*
%{_libdir}/bonobo
%{_sysconfdir}/gconf
%{_includedir}/*

%changelog
* Tue Apr  8 2008 Ray Strode <rstrode@redhat.com> - 1:2.8.0-7.el4
Resolves: #184404
- drop auxillary logview files, since we don't ship logview

* Wed Oct 20 2004 Miloslav Trmac <mitr@redhat.com> - 1:2.8.0-6
- Run ldconfig in %%post and %%postun

* Mon Oct 18 2004 Marco Pesenti Gritti <mpg@redhat.com> 1:2.8.0-5
- #136032 Downgrade gucharmap to 4.8.20 (stable series). 5.x
  was used by mistake.

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 1:2.8.0-4
- PreReq desktop-file-utils >= 0.9
- update-desktop-database on uninstall

* Tue Sep 28 2004 Ray Strode <rstrode@redhat.com> 1:2.8.0-3
- Hide Search Tool from menus using spec file foo instead of patch file

* Tue Sep 28 2004 Ray Strode <rstrode@redhat.com> 1:2.8.0-2
- Hide Search Tool from menus
- Require recent version of desktop-file-utils since update-desktop-database
  is called.

* Wed Sep 22 2004 Christopher Aillon <caillon@redhat.com> 1:2.8.0-1
- Update to 2.8.0 and zenity 2.8.0

* Tue Aug 31 2004 Alex Larsson <alexl@redhat.com> 1:2.7.91-1
- update to 2.7.91 and zenity 2.7.91

* Thu Aug 19 2004 Christopher Aillon <caillon@redhat.com> 1.2.7.90-1
- Update to gnome-utils 2.7.90
- Update to zenity 2.7.90
- Update to gcalctool 5.5.0
- Call update-desktop-database for gfloppy

* Wed Jun 30 2004 Christopher Aillon <caillon@redhat.com> 1:2.6.2-1
- Update to gnome-utils 2.6.2
- Update to zenity 2.6.2
- Update to gcalctool 4.4.8

* Mon Jun 28 2004 Dan Williams <dcbw@redhat.com>
- Update to the new mechanism of updating arch-dependent gtk config files.
- Update to gnome-utils 2.6.1

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 14 2004 Warren Togami <wtogami@redhat.com> 1:2.6.0-2
- #111124 BR gnome-desktop-devel gettext

* Fri Apr  2 2004 Alex Larsson <alexl@redhat.com> 1:2.6.0-1
- update to the 2.6 releases

* Wed Mar 10 2004 Alex Larsson <alexl@redhat.com> 1:2.5.90-1
- update to latest versions

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.2-3
- update zenity, gcalctool, gucharmap

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.2-1
- update to latest

* Thu Sep 11 2003 Alexander Larsson <alexl@redhat.com> 1:2.4.0-1
- Update to the final 2.4.0 release

* Fri Aug 22 2003 Alexander Larsson <alexl@redhat.com> 1:2.3.4-2
- use configure option instead of patch

* Wed Aug 20 2003 Alexander Larsson <alexl@redhat.com> 1:2.3.4-1
- update for gnome 2.3, import zenity, gucharmap & gcalctool

* Tue Jul 29 2003 Havoc Pennington <hp@redhat.com> 1:2.2.3-2
- rebuild

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 1:2.2.3-1
- 2.2.3

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0.3-2
- remove Xft buildreq

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0.3-1
- 2.2.0.3

* Sun Feb 02 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- builds again on s390x

* Fri Jan 24 2003 Jonathan Blandford <jrb@redhat.com>
- install all the schemas files
- new version; ExcludeArch: s390x
 
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 18 2002 Elliot Lee <sopwith@redhat.com> 2.1.4-2
- Add alphabitops.patch so it builds on the alpha (asm/bitops.h of which 
has 'extern' instead of 'static')

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 1:2.1.4-1
- update to 2.1.4

* Tue Sep  3 2002 Matt Wilson <msw@redhat.com>
- corrected the return code 3 gdialog dialog types

* Wed Aug 28 2002 Tim Waugh <twaugh@redhat.com>
- Fix gnome-calculator key bindings (bug #67885).

* Thu Aug 15 2002 Havoc Pennington <hp@redhat.com>
- enable gdialog by popular demand
- build require e2fsprogs-devel so gfloppy builds
- patch for #70258 (locate doesn't notice new files)

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2

* Thu Aug  1 2002 Havoc Pennington <hp@redhat.com>
- build require newer versions of things
- 2.0.1
- remove gnome-system-log and more thoroughly remove archive-generator

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- remove archive-generator, duplicates file-roller

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix find_lang

* Wed Jun 19 2002 Havoc Pennington <hp@redhat.com>
- disable schema install in make install, fixes rebuild

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- use desktop-file-install

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 28 2002 Havoc Pennington <hp@redhat.com>
- move to GNOME 2 version

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- merge translations

* Tue Mar  5 2002 Havoc Pennington <hp@redhat.com>
- put gdialog back since the nautilus scripts fad has everyone asking for it,
  #54415
- depend on automake-1.4 binary instead of automake14
- strip trailing newline from data in guname, #52598
- build requires libglade-devel

* Tue Feb  5 2002 Bill Nottingham <notting@redhat.com>
- get rid of weird binary names

* Wed Jan 30 2002 Jonathan Blandford <jrb@redhat.com>
- Rebuild package.

* Mon Jan 21 2002 Havoc Pennington <hp@redhat.com>
- automake14
- /usr/foo to bindir etc.
- use makeinstall and configure macros
- patch for glade header move

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Apr 19 2001 Jonathan Blandford <jrb@redhat.com>
- new version

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- move changelog to end of file
- langify, remember to run %%find_lang twice as there
  are two different sets of locale files

* Thu Feb 08 2001 Owen Taylor <otaylor@redhat.com>
- Fix missing gfloppy.keys, gfloppy.mime files

* Mon Jan 29 2001 Havoc Pennington <hp@redhat.com>
- add dialog-prefs.glade file which was missing from upstream tarball; 
  fixes #25036

* Fri Jan 19 2001 Havoc Pennington <hp@redhat.com>
- 1.2.1
- remove patch for gdict segfault, fixed upstream
- remove logview, cromagnon, gdiskfree, gstripchart, 
  splash, gdialog, gw, idetool
- run automake so removals take effect

* Mon Aug 21 2000 Havoc Pennington <hp@redhat.com>
- patch from Tim Waugh to fix segfault on cancel in the settings
  dialog; bug 16477
- put in an error dialog if no DNS, bug 16475

* Mon Aug 21 2000 Havoc Pennington <hp@redhat.com>
- Put gcolorsel glade files in the file list, closes
  14314

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Sat Aug 05 2000 Havoc Pennington <hp@redhat.com>
- Use mail not mailx in guname, bug 14316

* Mon Jul 17 2000 Havoc Pennington <hp@redhat.com>
- remove Docdir

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Elliot Lee <sopwith@redhat.com>
- 1.2.0

* Fri May 19 2000 Havoc Pennington <hp@redhat.com>
- Add gfloppy .glade file to file list

* Fri May 19 2000 Havoc Pennington <hp@redhat.com>
- 1.1.0; remove man pages glob from file list (upstream no 
  longer comes with man pages)

* Thu May 11 2000 Matt Wilson <msw@redhat.com>
- 1.0.51

* Mon Feb 14 2000 Elliot Lee <sopwith@redhat.com>
- Add -mieee to CFLAGS to fix bug #9346.

* Fri Feb 04 2000 Owen Taylor <otaylor@redhat.com>
- minor patch to fix up size requisition in guname

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to pick up gzipped man page

* Thu Feb 3 2000 Jonathan Blandford <jrb@redhat.com>
- added patch to allow negative time to gtt.

* Sun Aug 1 1999 Dax Kelson <dax@gurulabs.com>
- version 1.0.12

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- removed gshutdown (confusing for newbies)

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.30

* Mon Apr  6 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-utils CVS source tree
